// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OmniHTML/View.subproj/OHHTMLTextViewWithBackgroundImageProtocol.h,v 1.2 1999/03/26 06:57:28 kc Exp $

#import <Foundation/NSObject.h>

@class NSImage;

#import <Foundation/NSGeometry.h> // For NSRect

@protocol OHHTMLTextViewWithBackgroundImage <NSObject>
- (void)setBackgroundImage:(NSImage *)image;
- (NSImage *)backgroundImage;
- (void)drawBackgroundImageInRect:(NSRect)rect backgroundOrigin:(NSPoint)backgroundOrigin;
@end
